Plot of a Cmp (obsolete)
Graphical outputs.

() More...

## Functions

void | des_profile (const Cmp &uu, double r_min, double r_max, double theta, double phi, const char *nomy=0x0, const char *title=0x0)
| Draws the profile of a `Cmp` along some radial axis determined by a fixed value of .
void | des_profile (const Cmp &uu, double r_min, double r_max, double scale, double theta, double phi, const char *nomx=0x0, const char *nomy=0x0, const char *title=0x0)
| Draws the profile of a `Cmp` along some radial axis determined by a fixed value of .
void | des_coupe_x (const Cmp &uu, double x0, int nzdes, const char *title=0x0, const Cmp *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int ncour=15, int ny=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane X=constant.
void | des_coupe_x (const Cmp &uu, double x0, double y_min, double y_max, double z_min, double z_max, const char *title=0x0, const Cmp *defsurf=0x0, bool draw_bound=true, int ncour=15, int ny=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane X=constant within a specified graphic window.
void | des_coupe_y (const Cmp &uu, double y0, int nzdes, const char *title=0x0, const Cmp *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int ncour=15, int nx=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane Y=constant.
void | des_coupe_y (const Cmp &uu, double y0, double x_min, double x_max, double z_min, double z_max, const char *title=0x0, const Cmp *defsurf=0x0, bool draw_bound=true, int ncour=15, int nx=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane Y=constant within a specified graphic window.
void | des_coupe_z (const Cmp &uu, double z0, int nzdes, const char *title=0x0, const Cmp *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int ncour=15, int nx=100, int ny=100)
| Draws isocontour lines of a `Cmp` in a plane Z=constant.
void | des_coupe_z (const Cmp &uu, double z0, double x_min, double x_max, double y_min, double y_max, const char *title=0x0, const Cmp *defsurf=0x0, bool draw_bound=true, int ncour=15, int nx=100, int ny=100)
| Draws isocontour lines of a `Cmp` in a plane Z=constant within a specified graphic window.
void | des_bi_coupe_y (const Cmp &uu, double y0, int nzdes, const char *title=0x0, const Cmp *defsurf=0x0, const Cmp *defsurf2=0x0, double zoom=1.2, bool draw_bound=true, int ncour=15, int nx=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane Y=constant.
void | des_bi_coupe_y (const Cmp &uu, double y0, double x_min, double x_max, double z_min, double z_max, const char *title=0x0, const Cmp *defsurf=0x0, const Cmp *defsurf2=0x0, bool draw_bound=true, int ncour=15, int nx=100, int nz=100)
| Draws isocontour lines of a `Cmp` in a plane Y=constant within a specified graphic window.
void | des_coupe_bin_x (const Cmp &uu1, const Cmp &uu2, double x0, double y_min, double y_max, double z_min, double z_max, const char *title, const Cmp *defsurf1=0x0, const Cmp *defsurf2=0x0, bool draw_bound=true, int ncour=15, int ny=100, int nz=100)
| Draws isocontour lines of a the sum of two `Cmp` 's in a plane X=constant.
void | des_coupe_bin_y (const Cmp &uu1, const Cmp &uu2, double y0, double x_min, double x_max, double z_min, double z_max, const char *title, const Cmp *defsurf1=0x0, const Cmp *defsurf2=0x0, bool draw_bound=true, int ncour=15, int nx=100, int nz=100)
| Draws isocontour lines of a the sum of two `Cmp` 's in a plane Y=constant.
void | des_coupe_bin_z (const Cmp &uu1, const Cmp &uu2, double z0, double x_min, double x_max, double y_min, double y_max, const char *title, const Cmp *defsurf1=0x0, const Cmp *defsurf2=0x0, bool draw_bound=true, int ncour=15, int nx=100, int ny=100)
| Draws isocontour lines of a the sum of two `Cmp` 's in a plane Z=constant.
void | des_surface_x (const Cmp &defsurf, double x0, const char *device=0x0, int newgraph=3, double y_min=-1, double y_max=1, double z_min=-1, double z_max=1, const char *nomy=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing a stellar surface in a plane X=constant.
void | des_surface_y (const Cmp &defsurf, double y0, const char *device=0x0, int newgraph=3, double x_min=-1, double x_max=1, double z_min=-1, double z_max=1, const char *nomx=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing a stellar surface in a plane Y=constant.
void | des_surface_z (const Cmp &defsurf, double z0, const char *device=0x0, int newgraph=3, double x_min=-1, double x_max=1, double y_min=-1, double y_max=1, const char *nomx=0x0, const char *nomz=0x0, const char *title=0x0, int nxpage=1, int nypage=1)
| Basic routine for drawing a stellar surface in a plane Z=constant.

## Detailed Description

()

## Function Documentation

## des_bi_coupe_y() [1/2]

void des_bi_coupe_y | ( | const Cmp & | uu,
|  | double | y0,
|  | double | x_min,
|  | double | x_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | const Cmp * | defsurf2 = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane Y=constant within a specified graphic window.

Y is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field. The routine allows for the drawing of two surfaces given by two enthalpies (defsurf and defsurf2).

Parameters

  uu | [input] `Cmp` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface for the first fluid (see et_rot_biluid.h): the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  defsurf2 | [input] pointer on a `Cmp` giving the definition of the surface for the second fluid (analog to defsurf)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_bi_coupe_y() [2/2]

void des_bi_coupe_y | ( | const Cmp & | uu,
|  | double | y0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | const Cmp * | defsurf2 = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field. The routine allows for the drawing of two surfaces given by two enthalpies (defsurf and defsurf2).

Parameters

  uu | [input] `Cmp` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface for the first fluid (see et_rot_biluid.h): the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  defsurf2 | [input] pointer on a `Cmp` giving the definition of the surface for the second fluid (analog to defsurf)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_bin_x()

void des_coupe_bin_x | ( | const Cmp & | uu1,
|  | const Cmp & | uu2,
|  | double | x0,
|  | double | y_min,
|  | double | y_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title,
|  | const Cmp * | defsurf1 = 0x0,
|  | const Cmp * | defsurf2 = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | ny = 100,
|  | int | nz = 100 )

Draws isocontour lines of a the sum of two `Cmp` 's in a plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field `uu1` + `uu2` .

Parameters

  uu1 | [input] first `Cmp` to define the field `uu1` + `uu2` to be drawn.
  uu2 | [input] second `Cmp` to define the field `uu1` + `uu2` to be drawn.
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf1 | [input] pointer on a `Cmp` giving the definition of the first surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  defsurf2 | [input] pointer on a `Cmp` giving the definition of the second surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_bin_y()

void des_coupe_bin_y | ( | const Cmp & | uu1,
|  | const Cmp & | uu2,
|  | double | y0,
|  | double | x_min,
|  | double | x_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title,
|  | const Cmp * | defsurf1 = 0x0,
|  | const Cmp * | defsurf2 = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | nz = 100 )

Draws isocontour lines of a the sum of two `Cmp` 's in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field `uu1` `uu2` .

Parameters

  uu1 | [input] first `Cmp` to define the field `uu1` `uu2` to be drawn.
  uu2 | [input] second `Cmp` to define the field `uu1` `uu2` to be drawn.
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf1 | [input] pointer on a `Cmp` giving the definition of the first surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  defsurf2 | [input] pointer on a `Cmp` giving the definition of the second surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_bin_z()

void des_coupe_bin_z | ( | const Cmp & | uu1,
|  | const Cmp & | uu2,
|  | double | z0,
|  | double | x_min,
|  | double | x_max,
|  | double | y_min,
|  | double | y_max,
|  | const char * | title,
|  | const Cmp * | defsurf1 = 0x0,
|  | const Cmp * | defsurf2 = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | ny = 100 )

Draws isocontour lines of a the sum of two `Cmp` 's in a plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field `uu1` `uu2` .

Parameters

  uu1 | [input] first `Cmp` to define the field `uu1` `uu2` to be drawn.
  uu2 | [input] second `Cmp` to define the field `uu1` `uu2` to be drawn.
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf1 | [input] pointer on a `Cmp` giving the definition of the first surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  defsurf2 | [input] pointer on a `Cmp` giving the definition of the second surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)

## des_coupe_x() [1/2]

void des_coupe_x | ( | const Cmp & | uu,
|  | double | x0,
|  | double | y_min,
|  | double | y_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | ny = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane X=constant within a specified graphic window.

X is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_x() [2/2]

void des_coupe_x | ( | const Cmp & | uu,
|  | double | x0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | ny = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  ny | [input] number of points in the Y direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_y() [1/2]

void des_coupe_y | ( | const Cmp & | uu,
|  | double | y0,
|  | double | x_min,
|  | double | x_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane Y=constant within a specified graphic window.

Y is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_y() [2/2]

void des_coupe_y | ( | const Cmp & | uu,
|  | double | y0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | nz = 100 )

Draws isocontour lines of a `Cmp` in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  nz | [input] number of points in the Z direction (default value = 100)

## des_coupe_z() [1/2]

void des_coupe_z | ( | const Cmp & | uu,
|  | double | z0,
|  | double | x_min,
|  | double | x_max,
|  | double | y_min,
|  | double | y_max,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | ny = 100 )

Draws isocontour lines of a `Cmp` in a plane Z=constant within a specified graphic window.

Z is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)

## des_coupe_z() [2/2]

void des_coupe_z | ( | const Cmp & | uu,
|  | double | z0,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Cmp * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | ncour = 15,
|  | int | nx = 100,
|  | int | ny = 100 )

Draws isocontour lines of a `Cmp` in a plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.
Solid (resp. dashed) lines correspond to positive (resp. negative) values of the field.

Parameters

  uu | [input] `Cmp` to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Cmp` giving the definition of the surface: the surface is defined as the location where this `Cmp` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ncour | [input] number of isocontour lines (default value = 15)
  nx | [input] number of points in the X direction (default value = 100)
  ny | [input] number of points in the Y direction (default value = 100)

## des_profile() [1/2]

void des_profile | ( | const Cmp & | uu,
|  | double | r_min,
|  | double | r_max,
|  | double | scale,
|  | double | theta,
|  | double | phi,
|  | const char * | nomx = 0x0,
|  | const char * | nomy = 0x0,
|  | const char * | title = 0x0 )

Draws the profile of a `Cmp` along some radial axis determined by a fixed value of .

Parameters

  uu | [input] `Cmp` to be drawn
  r_min | [input] Minimal value of r for the drawing
  r_max | [input] Maximal value of r for the drawing
  scale | scale factor for the radius in the plot
  theta | [input] Value of which defines the profile axis
  phi | [input] Value of which defines the profile axis
  nomx | [input] x legend of the figure (default value = 0x0, corresponds to no x legend)
  nomy | [input] y legend of the figure (default value = 0x0, corresponds to no y legend)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)

## des_profile() [2/2]

void des_profile | ( | const Cmp & | uu,
|  | double | r_min,
|  | double | r_max,
|  | double | theta,
|  | double | phi,
|  | const char * | nomy = 0x0,
|  | const char * | title = 0x0 )

Draws the profile of a `Cmp` along some radial axis determined by a fixed value of .

Parameters

  uu | [input] `Cmp` to be drawn
  r_min | [input] Minimal value of r for the drawing
  r_max | [input] Maximal value of r for the drawing
  theta | [input] Value of which defines the profile axis
  phi | [input] Value of which defines the profile axis
  nomy | [input] y legend of the figure (default value = 0x0, corresponds to no y legend)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)

## des_surface_x()

void des_surface_x | ( | const Cmp & | defsurf,
|  | double | x0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | y_min = -1,
|  | double | y_max = 1,
|  | double | z_min = -1,
|  | double | z_max = 1,
|  | const char * | nomy = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing a stellar surface in a plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.
The surface to be drawn is defined as the location where a given scalar field vanishes.

Parameters

  defsurf | [input] field defining the surface: the surface is defined as the location where this `Cmp` vanishes
  x0 | [input] value of the absolute coordinate X which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  y_min | [input] lowest value of absol. coord. Y (default value = -1)
  y_max | [input] highest value of absol. coord. Y (default value = 1)
  z_min | [input] lowest value of absol. coord. Z (default value = -1)
  z_max | [input] highest value of absol. coord. Z (default value = 1)
  nomy | [input] y legend of the figure (default value = 0x0)
  nomz | [input] z legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_surface_y()

void des_surface_y | ( | const Cmp & | defsurf,
|  | double | y0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | x_min = -1,
|  | double | x_max = 1,
|  | double | z_min = -1,
|  | double | z_max = 1,
|  | const char * | nomx = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing a stellar surface in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.
The surface to be drawn is defined as the location where a given scalar field vanishes.

Parameters

  defsurf | [input] field defining the surface: the surface is defined as the location where this `Cmp` vanishes
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  x_min | [input] lowest value of absol. coord. X (default value = -1)
  x_max | [input] highest value of absol. coord. X (default value = 1)
  z_min | [input] lowest value of absol. coord. Z (default value = -1)
  z_max | [input] highest value of absol. coord. Z (default value = 1)
  nomx | [input] x legend of the figure (default value = 0x0)
  nomz | [input] z legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)

## des_surface_z()

void des_surface_z | ( | const Cmp & | defsurf,
|  | double | z0,
|  | const char * | device = 0x0,
|  | int | newgraph = 3,
|  | double | x_min = -1,
|  | double | x_max = 1,
|  | double | y_min = -1,
|  | double | y_max = 1,
|  | const char * | nomx = 0x0,
|  | const char * | nomz = 0x0,
|  | const char * | title = 0x0,
|  | int | nxpage = 1,
|  | int | nypage = 1 )

Basic routine for drawing a stellar surface in a plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.
The surface to be drawn is defined as the location where a given scalar field vanishes.

Parameters

  defsurf | [input] field defining the surface: the surface is defined as the location where this `Cmp` vanishes
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  device | [input] PGPLOT device (default value = 0x0)
  newgraph | [input] controls the opening/closing of the graphic device: 0 : does nothing (the device must be already opened) 1 : opens the device but does not close it at the end 2 : closes the device at the end but does not open it at the beginning 3 (default value) : opens and closes the device
  x_min | [input] lowest value of absol. coord. X (default value = -1)
  x_max | [input] highest value of absol. coord. X (default value = 1)
  y_min | [input] lowest value of absol. coord. Y (default value = -1)
  y_max | [input] highest value of absol. coord. Y (default value = 1)
  nomx | [input] x legend of the figure (default value = 0x0)
  nomy | [input] y legend of the figure (default value = 0x0)
  title | [input] title of the figure (default value = 0x0)
  nxpage | [input] number of graphs in the horizontal direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)
  nypage | [input] number of graphs in the vertical direction of the display window (meaningfull only if `newgraph` = 1 or 3) (default value = 1)